#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "mpi.h"

int main(int argc, char* argv[]) 
{  
	int		id, value;

	MPI_Init(&argc, &argv);  
	MPI_Comm_rank(MPI_COMM_WORLD, &id);

	if (id == 0)
	{
		srand(time(NULL));
		value = rand();
	}
	else
		value = 0;
		
	MPI_Bcast(&value, 1, MPI_INT, 0, MPI_COMM_WORLD);

	printf("Proces %d: value = %d\n", id, value);

	MPI_Finalize();

	return 0;
}
